commit: 44cc53f45280fcc4a701b997a9a697b97aafb1e5
Author: Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
AuthorDate: Thu Aug 10 20:40:21 2023 +0000
Commit: Pascal Jäger <pascal.jaeger <AT> leimstift <DOT> de>
CommitDate: Thu Aug 10 20:40:21 2023 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=44cc53f4
gui-apps/azote: new package, add 1.12.3
Signed-off-by: Pascal Jäger <pascal.jaeger <AT> leimstift.de>
gui-apps/azote/Manifest | 1 +
gui-apps/azote/azote-1.12.3.ebuild | 44 ++++++++++++++++++++++++++++++++++++++
gui-apps/azote/metadata.xml | 16 ++++++++++++++
3 files changed, 61 insertions(+)
diff --git a/gui-apps/azote/Manifest b/gui-apps/azote/Manifest
new file mode 100644
index 0000000000..efb593b0f4
--- /dev/null
+++ b/gui-apps/azote/Manifest
@@ -0,0 +1 @@
+DIST azote-1.12.3.tar.gz 7972106 BLAKE2B
af99f181ef635f66b2727d2ddc880d9455462e952845713642b0069fb62ad8a96420c468c3ea791dba3f2e916d013ef2a0f638ad1dc9ec3fb05e4877426b6c3b
SHA512
f258bceefa58a193457295b360b05fcb65a9e114859f60ee7146e7024594e8dca38f134df92fbe6aeec058da159a320aaf212411db014fa7e8b428eb57b195ab
diff --git a/gui-apps/azote/azote-1.12.3.ebuild
b/gui-apps/azote/azote-1.12.3.ebuild
new file mode 100644
index 0000000000..7e1a337d7a
--- /dev/null
+++ b/gui-apps/azote/azote-1.12.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{10..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit desktop distutils-r1 xdg-utils
+
+SRC_URI="https://github.com/nwg-piotr/azote/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Wallpaper manager for wlroots-based compositors and some other
WMs"
+HOMEPAGE="https://github.com/nwg-piotr/azote"
+LICENSE="MIT"
+SLOT="0"
+IUSE="X wayland"
+
+RDEPEND="
+ dev-python/pillow
+ dev-python/pygobject
+ x11-libs/gtk+:3
+
+ wayland? ( || ( gui-apps/wlr-randr gui-apps/swaybg ) )
+ X? ( || ( x11-apps/xrandr media-gfx/feh ) )
+"
+DEPEND="${RDEPEND}"
+
+python_install_all() {
+ distutils-r1_python_install_all
+ dobin dist/azote
+ domenu dist/azote.desktop
+ newicon dist/azote.svg azote.svg
+ insinto /usr/share/pixmaps/${PN}
+ doins dist/indicator*.png
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+}
diff --git a/gui-apps/azote/metadata.xml b/gui-apps/azote/metadata.xml
new file mode 100644
index 0000000000..c14ef0b720
--- /dev/null
+++ b/gui-apps/azote/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Pascal Jaeger</name>
+ </maintainer>
+ <upstream>
+ <maintainer>
+ <name>Piotr Miller</name>
+ <email>[email protected]</email>
+ </maintainer>
+ <bugs-to>https://github.com/nwg-piotr/azote/issues</bugs-to>
+ <remote-id type="github">nwg-piotr/azote</remote-id>
+ </upstream>
+</pkgmetadata>